#include "windows.h"
#include "wintools.h"
/*
 * WIN Draw Library
 *	Draw3dShadow - draws a shadow with bottom-left and top-right missing
 *	Draw3dBox - draws a complete shadow
 */

/*
 * Draw3dShadow
 * 	NOINDENT_BLACK	T=white, B=black
 * 	NOINDENT_GRAY	T=white, B=dkgray
 * 	INDENT_BLACK	T=black, B=white
 * 	INDENT_GRAY		T=dkgray, B=white
 *
 *	TTTTTTTTTTTTTT
 *	T             B
 *	T             B
 *	 BBBBBBBBBBBBBB
 */
void WINAPI
Draw3dShadow(HDC hDC,int x,int y,int w,int h,COLORREF crTop,COLORREF crBottom)
{
	HPEN	hPenTop, hPenBottom, holdPen;

	hPenTop = CreatePen( PS_SOLID, 1, crTop);
	hPenBottom = CreatePen( PS_SOLID, 1, crBottom);
	holdPen = SelectObject( hDC, hPenTop);
	MoveToEx( hDC, x, y+h-2, NULL);
	LineTo( hDC, x, y);				/* left side*/
	LineTo( hDC, x+w-1, y);				/* top side*/

	SelectObject( hDC, hPenBottom);
	MoveToEx( hDC, x+w-1, y+1, NULL);
	LineTo( hDC, x+w-1, y+h-1);			/* right side*/
	LineTo( hDC, x, y+h-1);				/* bottom side*/

	SelectObject( hDC, holdPen);
	DeleteObject( hPenTop);
	DeleteObject( hPenBottom);
}

/*
 * Draw3dBox
 *
 *	TTTTTTTTTTTTTTB
 *	T             B
 *	T             B
 *	BBBBBBBBBBBBBBB
 */
void WINAPI
Draw3dBox(HDC hDC,int x,int y,int w,int h,COLORREF crTop,COLORREF crBottom)
{
	HPEN		hPenTop, hPenBottom, holdPen;

	hPenTop = CreatePen( PS_SOLID, 1, crTop);
	hPenBottom = CreatePen( PS_SOLID, 1, crBottom);
	holdPen = SelectObject( hDC, hPenTop);
	MoveToEx( hDC, x, y+h-2, NULL);
	LineTo( hDC, x, y);				/* left side*/
	MoveToEx( hDC, x, y, NULL);
	LineTo( hDC, x+w-1, y);				/* top side*/

	SelectObject( hDC, hPenBottom);
	MoveToEx( hDC, x+w-1, y, NULL);
	LineTo( hDC, x+w-1, y+h-1);			/* right side*/
	LineTo( hDC, x-1, y+h-1);			/* bottom side*/

	SelectObject( hDC, holdPen);
	DeleteObject( hPenTop);
	DeleteObject( hPenBottom);
}
